package com.engine.kq.wfset.attendance.manager;

import com.engine.kq.wfset.attendance.framework.BaseManager;
import com.engine.kq.wfset.attendance.dao.HrmAttProcFieldsDao;
import com.engine.kq.wfset.attendance.domain.HrmAttProcFields;

/**
 * HrmAttProcFieldsManager
 * @author wcd
 * @version 1.0 2015-04-24
 */
public class HrmAttProcFieldsManager extends BaseManager<HrmAttProcFields> {

	private HrmAttProcFieldsDao dao = null;

	public HrmAttProcFieldsManager() {
		dao = new HrmAttProcFieldsDao();
		this.setDao(dao);
	}

	public Long save(HrmAttProcFields bean) {
		String id = String.valueOf(bean.getId());
		if(id.equals("0") || id.equals("-1")) id = String.valueOf(this.insert(bean));
		else this.update(bean);
		return Long.valueOf(id);
	}

}
